<div class="surface-ground h-screen w-screen flex align-items-center justify-content-center"
style="background-image: url('./assets/images/bgg.jpg'); background-size: cover; ">
    <div
        class="surface-card py-6 px-5 sm:px-7 shadow-2 flex flex-column w-11 sm:w-30rem"
        style="border-radius: 14px"
    >
        <div style="align-items: center; text-align: center;">
            <img class="w-11rem" src="assets/images/logo_png.png">
            <p class="text-cyan-500 mb-4">
                Dental Clinic Ubon Queue and Booking System
            </p>
        </div>

        
        
        <h1 class="font-bold text-2xl mt-0 mb-2">Login</h1>
        <p-messages
            [(value)]="messages"
            [enableService]="false"
            [closable]="false"
        ></p-messages>

        <form
            method="POST"
            name="form"
            [formGroup]="validateForm"
            (ngSubmit)="onSubmit()"
        >
            <div class="flex flex-column w-full">
                <span class="p-input-icon-left mb-4">
                    <i class="pi pi-user"></i>
                    <input
                        type="text"
                        formControlName="username"
                        pInputText
                        placeholder="เบอร์โทรศัพท์/ชื่อผู้ใช้งาน"
                        class="w-full"
                    />
                </span>
                <!-- admin / 123456 -->
                <span class="p-input-icon-left mb-4">
                    <i class="pi pi-key z-2"></i>
                    <p-password
                        id="password"
                        formControlName="password"
                        placeholder="รหัสผ่านผู้ใช้งาน"
                        styleClass="w-full"
                        [inputStyle]="{ paddingLeft: '2.5rem' }"
                        inputStyleClass="w-full"
                        [toggleMask]="true"
                        [feedback]="false"
                    ></p-password>
                </span>

                <button
                    type="submit"
                    pButton
                    pRipple
                    label=""
                    class="mb-4 justify-content-center"
                   
                ><i *ngIf="isLoading" class="pi pi-spin pi-spinner mr-2" style="font-size: 2rem"></i>ล๊อกอิน เข้าใช้งาน</button>
                <span class="text-right" [routerLink]="['/auth/newpassword']"><u>ลืมรหัสผ่าน</u></span>
            </div>
        </form>
        <div class="w-full md:w-2">
            <p-divider layout="horizontal" styleClass="flex md:hidden" [align]="'center'"><b>หรือ</b></p-divider>
        </div>
        <br>
        <button
            [routerLink]="['/auth/register']"
            pbutton
            pripple
            type="button"
            label="ลงทะเบียนผู้ใช้งาน"
            class="p-element p-ripple p-button-outlined p-button-success p-button p-component"
        >
            <span class="p-button-label">ลงทะเบียนผู้ใช้งาน</span>
            <span class="p-ink" aria-hidden="true" role="presentation"> </span>
        </button>
        <br />
    </div>
</div>

<app-config [minimal]="true"></app-config>
